Archive Collection
curl --request POST \
--url https://api.example.com/api/v1/collections/{collection_id}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/collections/{collection_id}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/collections/{collection_id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "private",
"status": "active",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "document",
"source_id": "<string>",
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Collections
Archive Collection
Archive a collection.
POST
/
api
/
v1
/
collections
/
{collection_id}
/
archive
Archive Collection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Path Parameters
Response
Successful Response
Schema for reading collection data.
Collection ID
Collection name
Required string length:
1 - 100Reference to workspace
Collection description
Maximum string length:
255Storage type for the collection
Collection visibility (private/public)
Collection status
Collection tags for organization
Reference to parent collection
Collection statistics
Collection metadata
Collection configuration settings
Embedding configuration
Show child attributes
Show child attributes
Collection source type
Collection source ID
User who created the collection